ChangeSet 1.1717.6.26, 2004/05/19 00:25:54-07:00, ebs@ebshome.net

[PATCH] I2C PPC4xx IIC driver: Kconfig cleanup

this patch renames Kconfig entry for PPC4xx IIC driver making it more clear and
also adds a help text.


 drivers/i2c/busses/Kconfig |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletion(-)


diff -Nru a/drivers/i2c/busses/Kconfig b/drivers/i2c/busses/Kconfig
--- a/drivers/i2c/busses/Kconfig	Fri May 28 14:52:22 2004
+++ b/drivers/i2c/busses/Kconfig	Fri May 28 14:52:22 2004
@@ -118,8 +118,14 @@
 	  will be called i2c-i810.
 
 config I2C_IBM_IIC
-	tristate "IBM IIC I2C"
+	tristate "IBM PPC 4xx on-chip I2C interface"
 	depends on IBM_OCP && I2C
+	help
+	  Say Y here if you want to use IIC peripheral found on 
+	  embedded IBM PPC 4xx based systems. 
+
+	  This driver can also be built as a module.  If so, the module
+	  will be called i2c-ibm_iic.
 
 config I2C_IOP3XX
 	tristate "Intel XScale IOP3xx on-chip I2C interface"
